Bug 494185 - RV350 - 3D applications fallback to software rendering.
RV350 - 3D applications fallback to software rendering.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Jérôme Glisse
Fedora Extras Quality Assurance
card_R300
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-05 08:51 EDT by Stan Trzmiel
Modified: 2009-11-08 19:23 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-08 19:23:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Console output when apps were launched (1.89 KB, text/plain)
2009-04-05 08:52 EDT, Stan Trzmiel
no flags Details
As requested: Xorg.log (30.62 KB, text/plain)
2009-04-07 12:33 EDT, Stan Trzmiel
no flags Details
My xorg.conf (1.58 KB, text/plain)
2009-04-07 12:34 EDT, Stan Trzmiel
no flags Details

  None (edit)
Description Stan Trzmiel 2009-04-05 08:51:35 EDT
Description of problem:
3D applications fallback to software rendering mode instead of using hardware accelerated one. GLXinfo shows:
  >OpenGL vendor string: DRI R300 Project                                        
  >OpenGL renderer string: Mesa DRI R300 20090101 x86/MMX/SSE2 TCL DRI2          
  >OpenGL version string: 1.4 Mesa 7.5
Glxgears works fine.

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.12.1-4.fc11.i586
xorg-x11-server-common-1.6.0-16.fc11.i586
libdrm-2.4.5-3.fc11.i586
mesa-libGLU-7.5-0.6.fc11.i586
mesa-dri-drivers-7.5-0.6.fc11.i586
mesa-libGL-7.5-0.6.fc11.i586


How reproducible:
1. Launch any 3D application (I used gl-117 and glaxium games) from console
2. Enter the game and check framerate
3. Exit the game (or bring console in front) check for messages.

  
Actual results:
Tested games shows poor performance, in console fallback warning are shown (see attachment) 

Expected results:
No warnings, fluid gameplay.

Additional info:
This bug is somehow related to changes in mesa. With mesa package downgraded to 7.3 (mesa-*-7.3-12.fc11.i586) glaxium stopped to warn about fallback and showed increased frame rate (33 on average). Although it's still slower than Fedora 9  (55 fps). Can't test it for under Fedora 10 b'cause it freezes just in the beginning of the benchmark. On the other hand Gl-117 uses software mode both on mesa 7.3 and 7.5.

My smolt profile:
http://www.smolts.org/show?uuid=pub_4310253d-c52d-4e95-98ae-9d8bd21e44ca
Comment 1 Stan Trzmiel 2009-04-05 08:52:52 EDT
Created attachment 338225 [details]
Console output when apps were launched
Comment 2 Matěj Cepl 2009-04-07 12:11:59 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 Stan Trzmiel 2009-04-07 12:33:46 EDT
Created attachment 338528 [details]
As requested: Xorg.log
Comment 4 Stan Trzmiel 2009-04-07 12:34:33 EDT
Created attachment 338529 [details]
My xorg.conf
Comment 5 Stan Trzmiel 2009-05-05 08:56:50 EDT
Out of curiosity I've made some tests with KMS disabled.
Glaxium run with decent performance without warnings but froze whole PC after few seconds.
With KMS on the problem persists.

My packages at this moment:
kernel-PAE-2.6.29.2-124.fc11.i686
libdrm-2.4.6-6.fc11.i586
xorg-x11-drv-ati-6.12.2-11.fc11.i586
xorg-x11-server-Xorg-1.6.1-11.fc11.i586
xorg-x11-server-common-1.6.1-11.fc11.i586
mesa-dri-drivers-7.5-0.14.fc11.i586

Tail of xorg.log didn't show anything special.
Comment 6 Bug Zapper 2009-06-09 09:17:44 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Stan Trzmiel 2009-06-13 10:28:41 EDT
Things improved greatly with MESA 7.6. Glaxium, although still complains about missing double-sided stencil buffer (iirc not implemented atm) uses hw acceleration. The performance is not stellar but it is "frames per second" not "seconds per frame" at least :D Similar with GL-117, tho it isn't much faster than software rendering.
Quake3 shows some improvement over Fedora10/KMS but stutters terribly (ie shows ~30-40FPS but animation is not fluid).
So far the only title that runs via sw rendering is GLChess.

I hope when missing bits will be implemented and newTTM will apperar in kernel performance will be back to the level of Fedora9 (it was ~60% faster).
Comment 8 Matěj Cepl 2009-11-05 13:25:14 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 9 Stan Trzmiel 2009-11-05 16:46:59 EST
Most of 3D apps , including UFA:AI and  Nexuiz, works for me ok now. I've tried GLChess on Fedora 11 and it still spits out a "fallback to software rendering" warning but performance is acceptable.
With Fedora 12 I can't tell as the application (GLChess) has radically changed (now it's using Ogre) it's slow and crash when FBOs are used but I guess it's material for new bug.

I think it's safe to close this one.
Comment 10 Matěj Cepl 2009-11-08 19:23:31 EST
Thank you for letting us know.

Note You need to log in before you can comment on or make changes to this bug.